Assignee:  % Done: 0%
Resolution:  Affected version: 2.5.1

Description

Problem

There seems to be a check missing on the start date and end dates of a subitem if a parent with a "follows" relation is added to the

subitem.

Here are a few key features of Redmine to keep in mind in relation to this Defect:

Parent items inherit the min Start Date from subitems, as well as max End Dates from subitems

How Precedes and Follows relations work as shown here: RedmineIssues

Below you will find the steps to reproduce in which I have tried to describe to the best of my ability.

Steps to Reproduce:

1. Create 3 Issues in a project (Issue 1, Issue 2, Issue 3)

2. Make Issue 1 Parent item of Issue 2

3. Add a relation: Issue 3 precedes Issue 1

4. Test the following: set issue 2 at an earlier start date than issue 3's start date -- this should throw an error as expected when you

press "submit".

5. Now, change Issue 2's Start Date back to the original accepted Start Date.

6. Clear the Parent Field from Issue 2 and press submit

7. Set Issue 2 to an earlier start date than Issue 3 and press submit

8. Again Make Issue 1 Parent item of Issue 2 and press submit. -- notice how the invalid start date is accepted here

9. You will notice that Issue 1 has had its start date changed to the invalid one as well as it inherits the min start date from its

subitem Issue 2.

Feel free to let me know if you would like me to elaborate on anything/have any questions.

Related issues:

Related to Redmine - Defect #6378: Subtask - Start is invalid Reopened 2010-09-13

History

#1 - 2014-06-03 18:07 - Monica Kochofar

Just found a similar older issue describing the same behavior: #6378

#2 - 2014-06-14 05:49 - Toshi MARUYAMA

- Description updated

#3 - 2014-06-14 05:50 - Toshi MARUYAMA

- Related to Defect #6378: Subtask - Start is invalid added
